Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6274 - Doesn't correctly register the machine's hostname with DDNS
Summary: Doesn't correctly register the machine's hostname with DDNS
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 22:02 UTC by enamtvedt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-07-16 13:31:37 UTC


Attachments (Terms of Use)

Description enamtvedt 1999-10-22 22:02:18 UTC
This included dhcpcd client doesn't correctly register the
hostname with the DDNS server.  As a result when adding a
Linux box to a Windows NT/2000 domain you are left adding a
static IP to the box and entering the hostname into the DNS
manually.... a pain in the butt if you have more than 400
machines.

Comment 1 Elliot Lee 2001-07-18 23:53:48 UTC
Apologies for the unresponsiveness of the previous dhcpcd packager...

The DHCP server (*) is responsible for registering with DDNS, not the client. (**)

(*) As of RHL 7.1, the DHCP server included did not support DDNS registration.
The latest upstream release does have this and may be included in a future
version of RHL..

(**) Some broadband ISPs provide separate programs that register a dynamically
assigned IP to the user's preferred hostname, subject to authentication by that
user.


Note You need to log in before you can comment on or make changes to this bug.